Package Details: t230c2-git r1206.15144f1-1

Git Clone URL: https://aur.archlinux.org/t230c2-git.git (read-only)
Package Base: t230c2-git
Description: CrazyCat Geniatech T230C2 DVB-T/T2/C kernel modules
Upstream URL: https://bitbucket.org/CrazyCat/media_build
Licenses: GPL2
Provides: t230c2
Submitter: derhoch
Maintainer: derhoch
Last Packager: derhoch
Votes: 2
Popularity: 0.41
First Submitted: 2019-01-17 11:34
Last Updated: 2019-11-04 10:34

Latest Comments

derhoch commented on 2019-10-14 08:46

@mtronic thank you for the patch. I updated the config file accordingly

mtronic commented on 2019-10-10 20:00

After upgrade to 5.3 kernel the module stopped to work - dmesg shows dvb_usb_cxusb: probe of 1-1.2.1:1.0 failed with error -22

Found that T230c2 support was recently moved to dvbsky module and should be included in mainline kernel starting with 5.4, but before this will be available - I was able to build the dvbsky module using this package just with few changes of the "config" file.

@@ -102 +102 @@ -# CONFIG_MEDIA_CONTROLLER is not set +CONFIG_MEDIA_CONTROLLER=y @@ -146 +146 @@ -CONFIG_DVB_USB_CXUSB=m +# CONFIG_DVB_USB_CXUSB is not set @@ -178 +178 @@ -# CONFIG_DVB_USB_V2 is not set +CONFIG_DVB_USB_V2=m @@ -512 +512 @@ -CONFIG_DVB_TUNER_DIB0070=m +# CONFIG_DVB_TUNER_DIB0070 is not set @@ -550,0 +551,2 @@ + +CONFIG_DVB_USB_DVBSKY=m

derhoch commented on 2019-07-15 08:23

@procobain you need to install 'perl-proc-processtable' to be able to build the package. I have added this to makedepends now.

procobain commented on 2019-07-12 13:32

Hello, I bought a T230c, I believe that I need this firmware to make it work, however this error is happening at the time of installing, thank you

LD [M] /home/paulo/.cache/yay/t230c2-git/src/t230c2-git/v4l/v4l2-dv-timings.ko

CC /home/paulo/.cache/yay/t230c2-git/src/t230c2-git/v4l/videodev.mod.o

LD [M] /home/paulo/.cache/yay/t230c2-git/src/t230c2-git/v4l/videodev.ko

make[1]: Leaving directory '/usr/lib/modules/5.2.0-arch2-1-ARCH/build' ./scripts/rmmod.pl check

Can't locate Proc/ProcessTable.pm in @INC (you may need to install the Proc::ProcessTable module) (@INC contains: /usr/lib/perl5/5.30/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.30/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.30/core_perl /usr/share/perl5/core_perl) at ./scripts/rmmod.pl line 4.

BEGIN failed--compilation aborted at ./scripts/rmmod.pl line 4.

make: *** [Makefile:54: default] Error 2

make: Leaving directory '/home/paulo/.cache/yay/t230c2-git/src/t230c2-git/v4l'

==> ERROR: Uma falha ocorreu em build().

Abortando...

Error making: t230c2-git